function test_GSS_data
%This function loads the GSS data set and estimates the OSI model
load GSSdata
p=2;                %set dimensionality
model=2;            %set type of model
%                   The variable model specifies which model should be used
%                   1=main effects only model
%                   2=one-dimensional OSI model
%                   3=general multi-dimensional OSI model (equation (9) in
%                   Van Rosmalen, Koning, and Groenen (forthcoming))
%                   4=restricted multi-dimensional OSI model (equation (11) in
%                   Van Rosmalen, Koning, and Groenen (forthcoming))
%                   5=restricted multi-dimensional OSI model (equation (12) in
%                   Van Rosmalen, Koning, and Groenen (forthcoming))
%                   6=restricted multi-dimensional OSI model (equation (13) in
%                   Van Rosmalen, Koning, and Groenen (forthcoming))
%                   7=full two-way interaction model
maxIter=2000;       %Maximum number of iterations in optimization routine
diff=1;             %Boolean variable indicating whether analytical derivatives are used
nMultiStart=2;      %Number of tries in optimization routine
Results=Main(Data,p,model,maxIter,diff,nMultiStart); %The output of the OSI model is in the structure array Results
